<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDriverData_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDriverData_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar Driver Global Structure  
 <a href="structrl_driver_data__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_driver.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4e8b11784e23772406aeb54e589f58c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e8b11784e23772406aeb54e589f58c5"></a>
<a class="el" href="structrl_function_params__t.html">rlFunctionParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a4e8b11784e23772406aeb54e589f58c5">funcParams</a></td></tr>
<tr class="memdesc:a4e8b11784e23772406aeb54e589f58c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current API parameters. <br /></td></tr>
<tr class="separator:a4e8b11784e23772406aeb54e589f58c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c111b8847f4e8dcfc46c3796af38068"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c111b8847f4e8dcfc46c3796af38068"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a9c111b8847f4e8dcfc46c3796af38068">isDriverInitialized</a></td></tr>
<tr class="memdesc:a9c111b8847f4e8dcfc46c3796af38068"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver Status. <br /></td></tr>
<tr class="separator:a9c111b8847f4e8dcfc46c3796af38068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d3f3868d72bc8d528876ee967527a71"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d3f3868d72bc8d528876ee967527a71"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a0d3f3868d72bc8d528876ee967527a71">deviceMap</a></td></tr>
<tr class="memdesc:a0d3f3868d72bc8d528876ee967527a71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bitmap of devices connected radarSS/DSS Mailbox in case of 16xx autonomous. <br /></td></tr>
<tr class="separator:a0d3f3868d72bc8d528876ee967527a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b3284a4c56932a5ca5de87370d8fec1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b3284a4c56932a5ca5de87370d8fec1"></a>
volatile rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a2b3284a4c56932a5ca5de87370d8fec1">isCmdRespWaited</a> [RL_DEVICE_CONNECTED_MAX]</td></tr>
<tr class="memdesc:a2b3284a4c56932a5ca5de87370d8fec1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver Command Wait Flag. <br /></td></tr>
<tr class="separator:a2b3284a4c56932a5ca5de87370d8fec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf0895f4c961caa02dafc995803e4d47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf0895f4c961caa02dafc995803e4d47"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#aaf0895f4c961caa02dafc995803e4d47">isRespWriteWaited</a> [RL_DEVICE_CONNECTED_MAX]</td></tr>
<tr class="memdesc:aaf0895f4c961caa02dafc995803e4d47"><td class="mdescLeft">&#160;</td><td class="mdescRight">if writing a data waits for Host IRQ <br /></td></tr>
<tr class="separator:aaf0895f4c961caa02dafc995803e4d47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8510efd487843555c47af69166e6e5fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8510efd487843555c47af69166e6e5fa"></a>
volatile rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a8510efd487843555c47af69166e6e5fa">rxIrqCnt</a> [RL_DEVICE_CONNECTED_MAX]</td></tr>
<tr class="memdesc:a8510efd487843555c47af69166e6e5fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver Host Interrupt count. <br /></td></tr>
<tr class="separator:a8510efd487843555c47af69166e6e5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db0c2a45ab83e49f68d9bab2d612790"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5db0c2a45ab83e49f68d9bab2d612790"></a>
volatile rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a5db0c2a45ab83e49f68d9bab2d612790">rxDoneCnt</a> [RL_DEVICE_CONNECTED_MAX]</td></tr>
<tr class="memdesc:a5db0c2a45ab83e49f68d9bab2d612790"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver serviced Host Interrupt count. <br /></td></tr>
<tr class="separator:a5db0c2a45ab83e49f68d9bab2d612790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb6e11279a2b7d9a0ae97ab144fa96f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aabb6e11279a2b7d9a0ae97ab144fa96f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#aabb6e11279a2b7d9a0ae97ab144fa96f">cmdSeqNum</a> [RL_DEVICE_CONNECTED_MAX]</td></tr>
<tr class="memdesc:aabb6e11279a2b7d9a0ae97ab144fa96f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver command sequnce number. <br /></td></tr>
<tr class="separator:aabb6e11279a2b7d9a0ae97ab144fa96f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac15c45744e7814ce8b2f18ea03c54c92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac15c45744e7814ce8b2f18ea03c54c92"></a>
<a class="el" href="structrl_com_dev_inx__t.html">rlComDevInx_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#ac15c45744e7814ce8b2f18ea03c54c92">commDevIdx</a></td></tr>
<tr class="memdesc:ac15c45744e7814ce8b2f18ea03c54c92"><td class="mdescLeft">&#160;</td><td class="mdescRight">Communication handle and device-index for deifferent devices connected to Host. <br /></td></tr>
<tr class="separator:ac15c45744e7814ce8b2f18ea03c54c92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10f44b4317f142bf28978bde8b334a31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10f44b4317f142bf28978bde8b334a31"></a>
rlOsiMutexHdl_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a10f44b4317f142bf28978bde8b334a31">globalMutex</a></td></tr>
<tr class="memdesc:a10f44b4317f142bf28978bde8b334a31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver Global Lock Mutex. <br /></td></tr>
<tr class="separator:a10f44b4317f142bf28978bde8b334a31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dfc36df7373094aa3e80923705e3884"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1dfc36df7373094aa3e80923705e3884"></a>
rlOsiSemHdl_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a1dfc36df7373094aa3e80923705e3884">cmdSem</a></td></tr>
<tr class="memdesc:a1dfc36df7373094aa3e80923705e3884"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver Command Wait Semaphore. <br /></td></tr>
<tr class="separator:a1dfc36df7373094aa3e80923705e3884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03124ebc2cf2ed3f844e4a4b97d92d5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03124ebc2cf2ed3f844e4a4b97d92d5c"></a>
rlOsiMsgQHdl_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a03124ebc2cf2ed3f844e4a4b97d92d5c">spawnQueue</a></td></tr>
<tr class="memdesc:a03124ebc2cf2ed3f844e4a4b97d92d5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver Spawn queue. <br /></td></tr>
<tr class="separator:a03124ebc2cf2ed3f844e4a4b97d92d5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389badfe991425b37444437301e05303"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a389badfe991425b37444437301e05303"></a>
<a class="el" href="structrl_client_cbs__t.html">rlClientCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#a389badfe991425b37444437301e05303">clientCtx</a></td></tr>
<tr class="memdesc:a389badfe991425b37444437301e05303"><td class="mdescLeft">&#160;</td><td class="mdescRight">Client context. <br /></td></tr>
<tr class="separator:a389badfe991425b37444437301e05303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf5b4fdcd048ca6ab9d066683fc53085"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf5b4fdcd048ca6ab9d066683fc53085"></a>
<a class="el" href="structrl_log_ctx__t.html">rlLogCtx_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_driver_data__t.html#abf5b4fdcd048ca6ab9d066683fc53085">logObj</a></td></tr>
<tr class="memdesc:abf5b4fdcd048ca6ab9d066683fc53085"><td class="mdescLeft">&#160;</td><td class="mdescRight">As per debug level callback functions will be assinged. <br /></td></tr>
<tr class="separator:abf5b4fdcd048ca6ab9d066683fc53085"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar Driver Global Structure </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_driver.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
